Bug 824064 - [abrt] claws-mail-3.8.0-1.fc16: vcalendar 2.0.12 / event_get_from_xml: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
[abrt] claws-mail-3.8.0-1.fc16: vcalendar 2.0.12 / event_get_from_xml: Proces...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: claws-mail-plugins (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
http://www.thewildbeast.co.uk/claws-m...
abrt_hash:c73fa0863bafcd3c2be3aa6292e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 12:33 EDT by Jérôme Benoit
Modified: 2013-02-13 03:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 03:52:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (15.73 KB, text/plain)
2012-05-22 12:34 EDT, Jérôme Benoit
no flags Details
File: build_ids (6.05 KB, text/plain)
2012-05-22 12:34 EDT, Jérôme Benoit
no flags Details
File: maps (69.11 KB, text/plain)
2012-05-22 12:34 EDT, Jérôme Benoit
no flags Details
File: backtrace (47.49 KB, text/plain)
2012-05-22 12:34 EDT, Jérôme Benoit
no flags Details

  None (edit)
Description Jérôme Benoit 2012-05-22 12:33:59 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        claws-mail
comment:        saved session startup 
crash_function: event_get_from_xml
executable:     /usr/bin/claws-mail
kernel:         3.3.6-3.fc16.x86_64
pid:            3208
pwd:            /home/fraggle/Mail/inbox
reason:         Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
time:           mar. 22 mai 2012 18:08:43 CEST
uid:            1000
username:       fraggle
xsession_errors: 

backtrace:      Text file, 48633 bytes
build_ids:      Text file, 6191 bytes
dso_list:       Text file, 16111 bytes
maps:           Text file, 70768 bytes

environ:
:DREAL_TECHNO_NAME=/usr/lib64/alliance/etc/cmos.dreal
:XDG_VTNR=1
:MANPATH=/home/fraggle/godi/man::/usr/lib64/alliance/man:/usr/local/share/man:/usr/share/man:/usr/lib64/alliance/man
:VH_PATSFX=pat
:TPD_GLOBAL=/usr/share/toped/
:XDG_SESSION_ID=2
:HOSTNAME=nemesis.grenouille.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:MBK_IN_PH=ap
:HARDWARE_PLATFORM=x86_64
:XSCH_PARAM_NAME=/usr/lib64/alliance/etc/xsch.par
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=5000
:XDG_SESSION_COOKIE=c73bfe660569ecf97012f8814b5b887b-1337702875.695158-1319490544
:VH_MAXERR=10
:QTDIR=/usr/lib64/qt-3.3
:RDS_OUT=cif
:GNOME_KEYRING_CONTROL=/tmp/keyring-Xen1HJ
:QTINC=/usr/lib64/qt-3.3/include
:XFSM_PARAM_NAME=/usr/lib64/alliance/etc/xfsm.par
:GRAAL_TECHNO_NAME=/usr/lib64/alliance/etc/cmos.graal
:ALLIANCE_TOP=/usr/lib64/alliance
:TPD_LOCAL=/home/fraggle
:IMSETTINGS_MODULE=none
:USER=fraggle
:LD_LIBRARY_PATH=/usr/lib64/alliance/lib
:USERNAME=fraggle
:MAIL=/var/spool/mail/fraggle
:PATH=/home/fraggle/godi/bin:/home/fraggle/godi/sbin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/usr/lib64/alliance/bin:/usr/libexec/sdcc:/home/fraggle/.local/bin:/home/fraggle/bin
:DESKTOP_SESSION=gnome
:MBK_SCALE_X=100
:QT_IM_MODULE=xim
:MBK_CATAL_NAME=CATAL
:PWD=/home/fraggle
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:MBK_OUT_PH=ap
:GNOME_KEYRING_PID=2759
:LANG=fr_FR.utf8
:MBK_SPI_MODEL=/usr/lib64/alliance/etc/spimodel.cfg
:GENVIEW_TECHNO_NAME=/usr/lib64/alliance/etc/cmos.genview
:RDS_IN=cif
:GDM_LANG=fr_FR.utf8
:KDEDIRS=/usr
:MBK_OUT_LO=vst
:MBK_VSS=vss
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:VH_BEHSFX=vbe
:HISTCONTROL=ignoredups:ignorespace
:HOME=/home/fraggle
:XDG_SEAT=seat0
:SHLVL=1
:MBK_C4_LIB=./cellsC4
:MBK_VDD=vdd
:MBK_TARGET_LIB=/usr/lib64/alliance/cells/sxlib
:RDS_TECHNO_NAME=/usr/lib64/alliance/etc/cmos.rds
:VH_DLYSFX=dly
:LOGNAME=fraggle
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-brTba7zVVb,guid=3070c258dfe0d5e8184382fe00000072
:MBK_IN_LO=vst
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:MBK_WORK_LIB=.
:XPAT_PARAM_NAME=/usr/lib64/alliance/etc/xpat.par
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/fraggle
:DISPLAY=:0
:ELP_TECHNO_NAME=/usr/lib64/alliance/etc/prol.elp
:MBK_CATA_LIB=.:/usr/lib64/alliance/cells/sxlib:/usr/lib64/alliance/cells/dp_sxlib:/usr/lib64/alliance/cells/rflib:/usr/lib64/alliance/cells/rf2lib:/usr/lib64/alliance/cells/ramlib:/usr/lib64/alliance/cells/romlib:/usr/lib64/alliance/cells/pxlib:/usr/lib64/alliance/cells/padlib
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-fraggle-BVS39Y/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2830,unix/unix:/tmp/.ICE-unix/2830
:SSH_AUTH_SOCK=/tmp/keyring-Xen1HJ/ssh
:GPG_AGENT_INFO=/tmp/keyring-Xen1HJ/gpg:0:1
:DESKTOP_AUTOSTART_ID=10a8aa6e02c3f6bf36133770228895876100000027960043
:DESKTOP_STARTUP_ID=gnome-session-2830-nemesis.grenouille.com-claws-mail-2_TIME0

var_log_messages:
:May 22 18:08:43 nemesis kernel: [  161.658867] claws-mail[3208]: segfault at ffffffff02e37920 ip 00007f4fb3eee208 sp 00007fff30173390 error 4 in vcalendar.so[7f4fb3ec6000+85000]
:May 22 18:08:48 nemesis abrt[3835]: Saved core dump of pid 3208 (/usr/bin/claws-mail) to /var/spool/abrt/ccpp-2012-05-22-18:08:43-3208 (128077824 bytes)
Comment 1 Jérôme Benoit 2012-05-22 12:34:03 EDT
Created attachment 586079 [details]
File: dso_list
Comment 2 Jérôme Benoit 2012-05-22 12:34:06 EDT
Created attachment 586080 [details]
File: build_ids
Comment 3 Jérôme Benoit 2012-05-22 12:34:09 EDT
Created attachment 586081 [details]
File: maps
Comment 4 Jérôme Benoit 2012-05-22 12:34:12 EDT
Created attachment 586082 [details]
File: backtrace
Comment 5 Michael Schwendt 2012-05-22 13:43:43 EDT
> comment:        saved session startup 

Could you be *much* more verbose, please? Tell exactly what you've done and whether this crash is reproducible. It looks a lot like a test-case will be needed.

| #0  event_get_from_xml (node=0xffffffff02e37920, uid=0x8cc8acb
| "040000008200E00074C5B7101A82E0080000000090B9A6B868B6CC01",
| '0' <repeats 16 times>, "1000000050DB45247DCEB74298CBCB88EB74B8C7")
| at vcal_manager.c:1056
|
| #1  vcal_manager_load_event (uid=0x8cc8acb
| "040000008200E00074C5B7101A82E0080000000090B9A6B868B6CC01",
| '0' <repeats 16 times>, "1000000050DB45247DCEB74298CBCB88EB74B8C7")
| at vcal_manager.c:1108
|        node = 0x2d7a600

To me, the upper 32 bits of the node=0xffffffff02e37920 ptr look very suspicious (invalid).

  1049          node = node->children;
  1050          while (node != NULL) {
  1051                  gchar *attendee = NULL;
  1052                  gchar *name = NULL;
  1053                  enum icalparameter_partstat answer = ICAL_PARTSTAT_NEEDS
ACTION;
  1054                  enum icalparameter_cutype cutype   = ICAL_CUTYPE_INDIVID
UAL;
  1055                  
  1056                  xmlnode = node->data;
Comment 6 Jérôme Benoit 2012-05-22 15:23:12 EDT
Hello, 

I can't be so much more verbose than abrt: the gnome session have been saved and at session login, claws-mail was intended to startup. 

I can't reproduce so far with my current config. Unpredictable crash until ... claws-mail will maybe crash or not again, who knows ?   

Try to save your gnome session (with gnome-session-properties) with claws-mail started and login/logout with the calendar plugin. It only happen once to me so it's still not a test case to will reach a way to reproduce to crash. 

Cheers.
Comment 7 Michael Schwendt 2012-05-22 18:00:34 EDT
Thanks!


> I can't be so much more verbose than abrt

That's a common fallacy to assume that the backtrace is sufficient in all cases. There are plenty of cases, where the additional context added by a bug reporter may make a difference. For example, while some backtraces tell why and where the program crashed, they don't always tell what made the program arrive at such a fatal state.

So, it's not reproducible for you either.


> Try to save your gnome session (with gnome-session-properties)
> with claws-mail started and login/logout with the calendar plugin.

For my limited interest in Claws Mail bug triaging/monitoring, endless playing with the vcalendar plugin would be beyond my time. It could be that without a similar setup (perhaps with corrupted XML files or with webcal errors), I wouldn't have a chance to reproduce the issue. Maybe special steps are required, such as terminating Claws Mail while editing the calendar.

As far as I see, the vcalendar plugin does not feature any special support for desktop sessions. So, if it's enabled in Claws Mail, for a resumed session it would simply load as if Claws Mail were started normally. But it would not resume an open "New meeting" window, for example.
Comment 8 Jérôme Benoit 2012-06-12 19:44:33 EDT
I've looked at the config files, AFAIK, they do not look like corrupted. 

I can't find a good repro case to "bug" upstream but I've a limited bandwidth to investigated on claws mail.

Thks.
Comment 9 Michael Schwendt 2012-07-11 09:54:12 EDT
Is it reproducible with Claws Mail 3.8.1 in updates-testing?
https://admin.fedoraproject.org/updates/FEDORA-2012-10349
Comment 10 Jérôme Benoit 2012-07-21 07:54:27 EDT
I can't reproduce reliably with either version of Claws Mails.
Comment 11 Michael Schwendt 2012-07-22 06:14:19 EDT
That's a vague answer, unfortunately.

So, the problem still exists in Claws Mail 3.8.1, too?
Comment 12 Jérôme Benoit 2012-07-23 06:39:05 EDT
Sure since the session handling code have not changed. But I can't reproduce reliably (the version do not matter).
Comment 13 Michael Schwendt 2012-07-23 07:30:58 EDT
I've forwarded this ticket at:
http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=2707
Comment 14 Jérôme Benoit 2012-09-28 08:59:50 EDT
Many thks Michael.
Comment 15 Fedora End Of Life 2013-01-16 05:18:51 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Fedora End Of Life 2013-02-13 03:52:54 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.